BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

A member of the enumeration is returned by the and methods. The enumeration is also used to support methods, such as . Such methods determine whether a specified character is a member of a particular Unicode general category. A Unicode general category defines the broad classification of a character, that is, designation as a type of letter, decimal digit, separator, mathematical symbol, punctuation, and so on.

This enumeration is based on The Unicode Standard, version 5.0. For more information, see the "UCD File Format" and "General Category Values" subtopics at the Unicode Character Database.

The Unicode Standard defines the following:

A surrogate pair is a coded character representation for a single abstract character that consists of a sequence of two code units, where the first unit of the pair is a high surrogate and the second is a low surrogate. A high surrogate is a Unicode code point in the range U+D800 through U+DBFF and a low surrogate is a Unicode code point in the range U+DC00 through U+DFFF.

A combining character sequence is a combination of a base character and one or more combining characters. A surrogate pair represents a base character or a combining character. A combining character is either spacing or nonspacing. A spacing combining character takes up a spacing position by itself when rendered, while a nonspacing combining character does not. Diacritics are an example of nonspacing combining characters.

A modifier letter is a free-standing spacing character that, like a combining character, indicates modifications of a preceding letter.

An enclosing mark is a nonspacing combining character that surrounds all previous characters up to and including a base character.

A format character is a character that is not normally rendered but that affects the layout of text or the operation of text processes.

The Unicode Standard defines several variations to some punctuation marks. For example, a hyphen can be one of several code values that represent a hyphen, such as U+002D (hyphen-minus) or U+00AD (soft hyphen) or U+2010 (hyphen) or U+2011 (nonbreaking hyphen). The same is true for dashes, space characters, and quotation marks.

The Unicode Standard also assigns codes to representations of decimal digits that are specific to a given script or language, for example, U+0030 (digit zero) and U+0660 (Arabic-Indic digit zero).

Defines the Unicode category of a character.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ClosePunctuation To be added.

  Closing character of one of the paired punctuation marks, such as parentheses, square brackets, and braces. Signified by the Unicode designation "Pe" (punctuation, close). The value is 21.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ConnectorPunctuation To be added.

  Connector punctuation character that connects two characters. Signified by the Unicode designation "Pc" (punctuation, connector). The value is 18.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory Control To be added.

  Control code character, with a Unicode value of U+007F or in the range U+0000 through U+001F or U+0080 through U+009F. Signified by the Unicode designation "Cc" (other, control). The value is 14.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory CurrencySymbol To be added.

  Currency symbol character. Signified by the Unicode designation "Sc" (symbol, currency). The value is 26.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory DashPunctuation To be added.

  Dash or hyphen character. Signified by the Unicode designation "Pd" (punctuation, dash). The value is 19.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory DecimalDigitNumber To be added.

  Decimal digit character, that is, a character in the range 0 through 9. Signified by the Unicode designation "Nd" (number, decimal digit). The value is 8.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory EnclosingMark To be added.

  Enclosing mark character, which is a nonspacing combining character that surrounds all previous characters up to and including a base character. Signified by the Unicode designation "Me" (mark, enclosing). The value is 7.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory FinalQuotePunctuation To be added.

  Closing or final quotation mark character. Signified by the Unicode designation "Pf" (punctuation, final quote). The value is 23.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory Format To be added.

  Format character that affects the layout of text or the operation of text processes, but is not normally rendered. Signified by the Unicode designation "Cf" (other, format). The value is 15.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory InitialQuotePunctuation To be added.

  Opening or initial quotation mark character. Signified by the Unicode designation "Pi" (punctuation, initial quote). The value is 22.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory LetterNumber To be added.

  Number represented by a letter, instead of a decimal digit, for example, the Roman numeral for five, which is "V". The indicator is signified by the Unicode designation "Nl" (number, letter). The value is 9.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory LineSeparator To be added.

  Character that is used to separate lines of text. Signified by the Unicode designation "Zl" (separator, line). The value is 12.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory LowercaseLetter To be added.

  Lowercase letter. Signified by the Unicode designation "Ll" (letter, lowercase). The value is 1.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory MathSymbol To be added.

  Mathematical symbol character, such as "+" or "= ". Signified by the Unicode designation "Sm" (symbol, math). The value is 25.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ModifierLetter To be added.

  Modifier letter character, which is free-standing spacing character that indicates modifications of a preceding letter. Signified by the Unicode designation "Lm" (letter, modifier). The value is 3.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ModifierSymbol To be added.

  Modifier symbol character, which indicates modifications of surrounding characters. For example, the fraction slash indicates that the number to the left is the numerator and the number to the right is the denominator. The indicator is signified by the Unicode designation "Sk" (symbol, modifier). The value is 27.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory NonSpacingMark To be added.

  Nonspacing character that indicates modifications of a base character. Signified by the Unicode designation "Mn" (mark, nonspacing). The value is 5.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OpenPunctuation To be added.

  Opening character of one of the paired punctuation marks, such as parentheses, square brackets, and braces. Signified by the Unicode designation "Ps" (punctuation, open). The value is 20.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OtherLetter To be added.

  Letter that is not an uppercase letter, a lowercase letter, a titlecase letter, or a modifier letter. Signified by the Unicode designation "Lo" (letter, other). The value is 4.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OtherNotAssigned To be added.

  Character that is not assigned to any Unicode category. Signified by the Unicode designation "Cn" (other, not assigned). The value is 29.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OtherNumber To be added.

  Number that is neither a decimal digit nor a letter number, for example, the fraction 1/2. The indicator is signified by the Unicode designation "No" (number, other). The value is 10.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OtherPunctuation To be added.

  Punctuation character that is not a connector, a dash, open punctuation, close punctuation, an initial quote, or a final quote. Signified by the Unicode designation "Po" (punctuation, other). The value is 24.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory OtherSymbol To be added.

  Symbol character that is not a mathematical symbol, a currency symbol or a modifier symbol. Signified by the Unicode designation "So" (symbol, other). The value is 28.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory ParagraphSeparator To be added.

  Character used to separate paragraphs. Signified by the Unicode designation "Zp" (separator, paragraph). The value is 13.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory PrivateUse To be added.

  Private-use character, with a Unicode value in the range U+E000 through U+F8FF. Signified by the Unicode designation "Co" (other, private use). The value is 17.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory SpaceSeparator To be added.

  Space character, which has no glyph but is not a control or format character. Signified by the Unicode designation "Zs" (separator, space). The value is 11.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory SpacingCombiningMark To be added.

  Spacing character that indicates modifications of a base character and affects the width of the glyph for that base character. Signified by the Unicode designation "Mc" (mark, spacing combining). The value is 6.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory Surrogate To be added.

  High surrogate or a low surrogate character. Surrogate code values are in the range U+D800 through U+DFFF. Signified by the Unicode designation "Cs" (other, surrogate). The value is 16.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory TitlecaseLetter To be added.

  Titlecase letter. Signified by the Unicode designation "Lt" (letter, titlecase). The value is 2.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Globalization.UnicodeCategory UppercaseLetter To be added.

  Uppercase letter. Signified by the Unicode designation "Lu" (letter, uppercase). The value is 0.

  0
0